#
# spec file for package util-linux (Version 2.17.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           util-linux
BuildRequires:  audit-devel gettext-devel pkg-config
BuildRequires:  libselinux-devel libsepol-devel ncurses-devel pam-devel readline-devel zlib-devel
Url:            http://userweb.kernel.org/~kzak/util-linux-ng/
Supplements:    filesystem(minix)
PreReq:         %install_info_prereq permissions
License:        GPLv2+
Group:          System/Base
AutoReqProv:    on
Version:        2.17.2
Release:        4
Recommends:     %name-lang = %{version}
Summary:        A collection of basic system utilities
Source:         ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/v%{version}/%name-ng-%{version}.tar.bz2
Source1:        util-linux-rpmlintrc
Source2:        nologin.c
Source3:        nologin.8
Source4:        raw.init
Source5:        etc.raw
Source6:        etc_filesystems
Source7:        baselibs.conf
%define time_ver 1.7
%define which_ver 2.19
%define adjtimex_ver 1.20
# XXX: post upstream?
Source9:        adjtimex-%{adjtimex_ver}.tar.bz2
# XXX: post upstream?
Source11:       klogconsole.tar.bz2
# TODO: split to separate package
Source12:       which-%{which_ver}.tar.bz2
# TODO: split to separate package
Source13:       time-%{time_ver}.tar.bz2
# XXX: needed?
Source22:       setctsid.c
Source23:       setctsid.8
# XXX: ppc specific, still needed?
Source28:       mkzimage_cmdline.8
Source29:       mkzimage_cmdline.c
Source31:       addnote.c
#
Source26:       README.raw
Source30:       README.largedisk
Source50:       uuidd.rc
Source51:       blkid.conf
##
## util-linux patches
##
# 241372 - remove legacy warnings from fdisk
Patch1:         util-linux-2.12r-fdisk_remove_bogus_warnings.patch
# bnc#447036
Patch2:         util-linux-2.14.1-mount_skip_sync.patch
# crypto patch
Patch3:         util-linux-2.17.1-mount_losetup_crypto.patch
Patch4:         util-linux-2.17.1-losetup-honor-documented-c-option
# 603328
Patch5:         util-linux-addpart-use-atoll.patch
# bnc#481123
Patch6:         util-linux-mount-detect-ro-mount.patch
##
## adjtimex
##
Patch50:        adjtimex-1.20-nosyscall.diff
##
## klogconsole
##
Patch55:        klogconsole-quiet.patch
Patch56:        klogconsole.diff
##
## time
##
Patch60:        time-1.7.dif
##
## which
##
Patch70:        which-lib64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq /bin/sed
#
Provides:       util = %{version}-%{release} rawio = %{version}-%{release} raw = %{version}-%{release} base = %{version}-%{release} schedutils = %{version}-%{release} uuid-runtime = %{version}-%{release}
Obsoletes:      util < %{version}-%{release} rawio < %{version}-%{release} raw < %{version}-%{release} base < %{version}-%{release} schedutils < %{version}-%{release} uuid-runtime < %{version}-%{release}

%description
This package contains a large variety of low-level system utilities
that are necessary for a Linux system to function. It contains the
mount program, the fdisk configuration tool, and more.

%package -n libblkid1
License:        GPLv2+
Summary:        Filesystem detection library
Group:          System/Filesystems
AutoReqProv:    on

%description -n libblkid1
Library for filesystem detection.

%package -n libblkid-devel
License:        GPLv2+
Summary:        Development files for the filesystem detection library
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       libblkid1 = %version libuuid-devel

%description -n libblkid-devel
Files needed to develop applications using the library for filesystem
detection.

%package -n uuidd
License:        GPLv2+
Summary:        Utilities for the Second Extended File System
Group:          System/Filesystems
AutoReqProv:    on
PreReq:         %fillup_prereq %insserv_prereq permissions pwdutils

%description -n uuidd
Utilities needed to create and maintain ext2 and ext3 file systems
under Linux. Included in this package are: chattr, lsattr, mke2fs,
mklost+found, tune2fs, e2fsck, resize2fs, and badblocks.

%package -n libuuid1
License:        GPLv2+
Summary:        Library to generate UUIDs
Group:          System/Filesystems
AutoReqProv:    on

%description -n libuuid1
A library to generate universally unique IDs (UUIDs).

%package -n libuuid-devel
License:        GPLv2+
Summary:        Development files for libuuid1
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       libuuid1 = %version

%description -n libuuid-devel
Files to develop applications using the library to generate universally
unique IDs (UUIDs).

%lang_package
%prep
%setup -q -a 9 -b 11 -b 12 -b 13 -n %name-ng-%version
#patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
#
cd adjtimex-*
%patch50 -p1
cd -
# setctsid
cp %{S:22} %{S:23} .
# nologin
cp %{S:2} %{S:3} %{S:26} %{S:30} .
cd ../klogconsole
%patch55 -p1 -b .quiet
%patch56 -p1 
cd ../time-*
%patch60
cd ../which-*
%patch70

%build
# adjtimex build
cd adjtimex-%{adjtimex_ver}
CFLAGS="$RPM_OPT_FLAGS" ./configure
make %{?jobs:-j%jobs}
cd ..
pushd ../
# which build
cd which-%{which_ver}
#autoreconf -fi
aclocal --force
autoconf --force
automake --force-missing --add-missing --foreign
%{?suse_update_config:%{suse_update_config}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
				    --mandir=%{_mandir} \
				    --infodir=%{_infodir} \
				    %{_target_cpu}-suse-linux
make %{?jobs:-j%jobs}
cd ..
# time build
cd time-%{time_ver}
%{?suse_update_config:%{suse_update_config}}
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE " INSTALL_PROGRAM='$(INSTALL)' \
	./configure --prefix=/usr \
		    --mandir=%{_mandir} \
		    --infodir=%{_infodir} \
		    %{_target_cpu}-suse-linux
make %{?jobs:-j%jobs}
cd ..
# klogconsole build
cd klogconsole
make %{?jobs:-j%jobs} CFLAGS="$RPM_OPT_FLAGS"
cd ..
popd
# setctsid build
rm -f setctsid
make %{?jobs:-j%jobs} setctsid CFLAGS="$RPM_OPT_FLAGS"
#
# util-linux itself
#
autoreconf -fi
export SUID_CFLAGS="-fpie"
export SUID_LDFLAGS="-pie"
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
  --mandir=%{_mandir} \
  --datadir=%{_datadir} \
  --bindir=/bin \
  --sbindir=/sbin \
  --libdir=/%{_lib} \
  --with-audit \
  --with-selinux \
  --enable-elvtune \
  --enable-mesg \
  --enable-partx \
  --enable-raw \
  --enable-write \
  --disable-use-tty-group \
  --disable-static \
%ifarch %ix86 x86_64
  --enable-rdev \
%endif
#
make %{?jobs:-j%jobs}
#
gcc $RPM_OPT_FLAGS -o nologin nologin.c
gcc $RPM_OPT_FLAGS -o mkzimage_cmdline %{S:29}
gcc $RPM_OPT_FLAGS -o chrp-addnote %{SOURCE31}

%check
cd ../time-%{time_ver}
make check

%install
mkdir -p "$RPM_BUILD_ROOT"{/etc/init.d,%{_mandir}/man{1,8},/bin,/sbin,/usr/bin,/usr/sbin,%{_infodir}}
mkdir -p $RPM_BUILD_ROOT/var/lib/libuuid/
mkdir -p $RPM_BUILD_ROOT/var/run/uuidd/
install -m 744 %{SOURCE50} $RPM_BUILD_ROOT/etc/init.d/uuidd
install -m 644 %{SOURCE51} $RPM_BUILD_ROOT/etc/blkid.conf
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp adjtimex-*/adjtimex %{buildroot}/sbin/
cp adjtimex-*/adjtimex.8  %{buildroot}%{_mandir}/man8/
pushd ..
# which install
cd which-%{which_ver}
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/which
install -m 0644 README    $RPM_BUILD_ROOT%{_defaultdocdir}/which/
install -m 0644 EXAMPLES  $RPM_BUILD_ROOT%{_defaultdocdir}/which/
install -m 0644 README.alias $RPM_BUILD_ROOT%{_defaultdocdir}/which/
cd ..
# time install
cd time-%{time_ver}
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/time
make install DESTDIR=$RPM_BUILD_ROOT \
        prefix=$RPM_BUILD_ROOT/usr \
        infodir=$RPM_BUILD_ROOT%{_infodir} \
        mandir=$RPM_BUILD_ROOT%{_mandir}
install -m 0644 README    $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 AUTHORS   $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 COPYING   $RPM_BUILD_ROOT%{_defaultdocdir}/time/
install -m 0644 NEWS      $RPM_BUILD_ROOT%{_defaultdocdir}/time/
cd ..
# klogconsole install
cd klogconsole
make install DEST=$RPM_BUILD_ROOT
popd
#
# util-linux install
#
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/bin/logger $RPM_BUILD_ROOT/bin/logger
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/filesystems
install -m 755 nologin $RPM_BUILD_ROOT/sbin
rm -f $RPM_BUILD_ROOT/%{_libdir}/libblkid.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libuuid.la
%ifnarch ppc ppc64
install -m 755 mkzimage_cmdline $RPM_BUILD_ROOT/usr/bin
install -m 644 %{S:28} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 chrp-addnote $RPM_BUILD_ROOT/usr/bin
%endif
install -m 644 nologin.8 $RPM_BUILD_ROOT%{_mandir}/man8
# setctsid install
install -m 755 setctsid   $RPM_BUILD_ROOT/usr/sbin
install -m 444 setctsid.8 $RPM_BUILD_ROOT%{_mandir}/man8/
echo -e "#! /bin/bash\n/sbin/blockdev --flushbufs \$1" > $RPM_BUILD_ROOT/usr/sbin/flushb
chmod 755 $RPM_BUILD_ROOT/usr/sbin/flushb
# Install scripts to configure raw devices at boot time
install -m 644 $RPM_SOURCE_DIR/etc.raw   $RPM_BUILD_ROOT/etc/raw
install -m 755 $RPM_SOURCE_DIR/raw.init $RPM_BUILD_ROOT/etc/init.d/raw
ln -sf ../../etc/init.d/raw $RPM_BUILD_ROOT/usr/sbin/rcraw
# Stupid hack so we don't have a tcsh dependency
chmod 644 $RPM_BUILD_ROOT/usr/share/getopt/getopt*.tcsh
# Following files we don't want to package, so remove them
rm -f $RPM_BUILD_ROOT/usr/bin/pg
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/pg.1*
# Do not package these files to get rid of the perl dependency
rm -f $RPM_BUILD_ROOT/usr/bin/chkdupexe
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/chkdupexe.1
# arch dependent
%ifarch s390 s390x
rm -f $RPM_BUILD_ROOT/etc/fdprm
rm -f $RPM_BUILD_ROOT/usr/bin/cytune
rm -f $RPM_BUILD_ROOT/usr/sbin/fdformat
rm -f $RPM_BUILD_ROOT/sbin/hwclock
rm -f $RPM_BUILD_ROOT/usr/sbin/klogconsole
rm -f $RPM_BUILD_ROOT/usr/bin/setterm
rm -f $RPM_BUILD_ROOT/usr/sbin/tunelp
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/cytune.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/fdformat.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/hwclock.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/klogconsole.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/tunelp.8*
%endif
%ifarch ia64 %sparc
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/cfdisk.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/sfdisk.8*
rm -f $RPM_BUILD_ROOT/sbin/cfdisk
rm -f $RPM_BUILD_ROOT/sbin/sfdisk
%endif
%ifarch ia64
rm -f $RPM_BUILD_ROOT/sbin/fdisk
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/fdisk.8*
%endif
%find_lang %{name}-ng %{name}.lang
# create list of setarch(8) symlinks
find  $RPM_BUILD_ROOT%{_bindir}/ -regextype posix-egrep -type l \
  -regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)$" \
  -printf "%{_bindir}/%f\n" >> %{name}.files
find  $RPM_BUILD_ROOT%{_mandir}/man8 -regextype posix-egrep  \
  -regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64)\.8.*" \
  -printf "%{_mandir}/man8/%f*\n" >> %{name}.files

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv raw}
%install_info --info-dir=%{_infodir} %{_infodir}/ipc.info.gz
%install_info --entry="* time: (time). summarizing used system resources" --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/which.info.gz
%run_permissions
# mount option 'code=' is now called 'codepage=' so change fstab
if [ -f etc/fstab ]; then
	sed -i 's:code=:codepage=:' etc/fstab
fi

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/ipc.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/time.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/which.info.gz
%{insserv_cleanup}
%verifyscript
%verify_permissions -e /usr/bin/wall -e /usr/bin/write

%post -n libblkid1
/sbin/ldconfig

%postun -n libblkid1
/sbin/ldconfig

%pre -n uuidd
/usr/sbin/groupadd -r uuidd 2>/dev/null || :
/usr/sbin/useradd -r -g uuidd -c "User for uuidd" \
  -d /var/run/uuidd uuidd 2>/dev/null || :

%preun -n uuidd
%{stop_on_removal uuidd}

%post -n uuidd
%{fillup_and_insserv -n uuidd}
%run_permissions

%postun -n uuidd
%{restart_on_update uuidd}
%{insserv_cleanup}

%post -n libuuid1
/sbin/ldconfig

%postun -n libuuid1
/sbin/ldconfig
%verifyscript -n uuidd
%verify_permissions -e /usr/sbin/uuidd

%files lang -f %{name}.lang

%files -f %{name}.files
# Common files for all archs
%defattr(-,root,root)
%doc login-utils/README.getty
%doc login-utils/README.modems-with-agetty
%doc login-utils/README.poeigl
%doc misc-utils/README.cal
%doc misc-utils/README.namei
%doc misc-utils/README.namei2
%doc mount/README.mount
%doc hwclock/README.hwclock
%doc text-utils/README.col
%doc README.largedisk
%config %attr(744,root,root) /etc/init.d/raw
%config(noreplace) %attr(644,root,root) /etc/raw
%config(noreplace) /etc/filesystems
%config(noreplace) /etc/blkid.conf
/bin/dmesg
/bin/more
/bin/mount
/bin/umount
/sbin/adjtimex
/sbin/agetty
/sbin/blockdev
/sbin/elvtune
/sbin/ctrlaltdel
/sbin/fsck.minix
/sbin/fsck.cramfs
/sbin/losetup
/sbin/mkfs
/sbin/mkfs.bfs
/sbin/mkfs.minix
/sbin/mkfs.cramfs
/sbin/mkswap
/sbin/nologin
/sbin/pivot_root
/sbin/raw
/sbin/swapoff
/sbin/swapon
/sbin/blkid
/sbin/findfs
/sbin/fsck
/sbin/switch_root
/sbin/wipefs
/usr/bin/ipcmk
/bin/logger
/usr/bin/cal
/usr/bin/chrt
/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/ddate
/usr/bin/fallocate
/usr/bin/flock
/usr/bin/getopt
/usr/bin/hexdump
/usr/bin/ionice
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/isosize
/usr/bin/line
#/usr/bin/linux32
#/usr/bin/linux64
/usr/bin/look
/usr/bin/lscpu
/usr/bin/mcookie
/usr/bin/mesg
/usr/bin/uuidgen
%ifnarch ppc ppc64
/usr/bin/chrp-addnote
/usr/bin/mkzimage_cmdline
%endif
/usr/bin/namei
/usr/bin/rename
/usr/bin/renice
/usr/bin/rev
/usr/bin/script
/usr/bin/setarch
/usr/bin/scriptreplay
/usr/bin/setsid
/usr/bin/ul
/usr/bin/tailf
/usr/bin/taskset
/usr/bin/time
/usr/bin/unshare
/usr/bin/which
/usr/sbin/addpart
/usr/sbin/delpart
/usr/sbin/ldattach
/usr/sbin/partx
/usr/sbin/rcraw
/usr/sbin/rtcwake
/usr/sbin/setctsid
%verify(not mode) %attr(0755,root,tty) /usr/bin/wall
/usr/bin/whereis
%verify(not mode) %attr(0755,root,tty) /usr/bin/write
%dir %{_defaultdocdir}/time
%dir %{_defaultdocdir}/which
%{_defaultdocdir}/time/*
%{_defaultdocdir}/which/*
%{_infodir}/ipc.info.gz
%{_infodir}/time.info*.gz
%{_infodir}/which.info*.gz
%{_mandir}/man1/cal.1.gz
%{_mandir}/man1/chrt.1.gz
%{_mandir}/man1/col.1.gz
%{_mandir}/man1/colcrt.1.gz
%{_mandir}/man1/colrm.1.gz
%{_mandir}/man1/column.1.gz
%{_mandir}/man1/ddate.1.gz
%{_mandir}/man1/dmesg.1.gz
%{_mandir}/man1/fallocate.1.gz
%{_mandir}/man1/flock.1.gz
%{_mandir}/man1/getopt.1.gz
%{_mandir}/man1/hexdump.1.gz
%{_mandir}/man1/ipcrm.1.gz
%{_mandir}/man1/ipcs.1.gz
%{_mandir}/man1/line.1.gz
%{_mandir}/man1/logger.1.gz
%{_mandir}/man1/look.1.gz
%{_mandir}/man1/lscpu.1.gz
%{_mandir}/man1/mcookie.1.gz
%{_mandir}/man1/mesg.1.gz
%{_mandir}/man1/more.1.gz
%{_mandir}/man1/namei.1.gz
%{_mandir}/man1/ionice.1.gz
%{_mandir}/man1/readprofile.1.gz
%{_mandir}/man1/rename.1.gz
%{_mandir}/man1/rev.1.gz
%{_mandir}/man1/renice.1.gz
%{_mandir}/man1/setsid.1.gz
%{_mandir}/man1/script.1.gz
%{_mandir}/man1/scriptreplay.1.gz
%{_mandir}/man1/setterm.1.gz
%{_mandir}/man1/tailf.1.gz
%{_mandir}/man1/taskset.1.gz
%{_mandir}/man1/ul.1.gz
%{_mandir}/man1/unshare.1.gz
%{_mandir}/man1/wall.1.gz
%{_mandir}/man1/whereis.1.gz
%{_mandir}/man1/write.1.gz
%{_mandir}/man1/which.1.gz
%{_mandir}/man1/ipcmk.1.gz
%{_mandir}/man1/uuidgen.1.gz
%{_mandir}/man5/fstab.5.gz
%{_mandir}/man8/addpart.8.gz
%{_mandir}/man8/agetty.8.gz
%{_mandir}/man8/blockdev.8.gz
%{_mandir}/man8/delpart.8.gz
%{_mandir}/man8/elvtune.8*
%{_mandir}/man8/ctrlaltdel.8.gz
%{_mandir}/man8/adjtimex.8.gz
%{_mandir}/man8/blkid.8.gz
%{_mandir}/man8/switch_root.8.gz
%{_mandir}/man8/mkfs.bfs.8.gz
%{_mandir}/man8/mkfs.minix.8.gz
%{_mandir}/man8/findfs.8.gz
%{_mandir}/man8/fsck.8.gz
%{_mandir}/man8/fsck.minix.8.gz
%{_mandir}/man8/isosize.8.gz
%{_mandir}/man8/ldattach.8.gz
#%{_mandir}/man8/linux32.8.gz
#%{_mandir}/man8/linux64.8.gz
%{_mandir}/man8/losetup.8.gz
%{_mandir}/man8/mkfs.8.gz
%{_mandir}/man8/mkswap.8.gz
%{_mandir}/man8/mount.8.gz
%{_mandir}/man8/nologin.8.gz
%ifnarch ppc ppc64
%{_mandir}/man8/mkzimage_cmdline.8.gz
%endif
%{_mandir}/man8/partx.8.gz
%{_mandir}/man8/pivot_root.8.gz
%{_mandir}/man8/raw.8.gz
%{_mandir}/man8/rtcwake.8.gz
%{_mandir}/man8/setarch.8.gz
%{_mandir}/man8/swapoff.8.gz
%{_mandir}/man8/swapon.8.gz
%{_mandir}/man8/umount.8.gz
%{_mandir}/man8/setctsid.8.gz
%{_mandir}/man8/wipefs.8.gz
/usr/sbin/flushb
/usr/sbin/readprofile
%dir /usr/share/getopt
%attr (755,root,root) /usr/share/getopt/getopt-parse.bash
%attr (755,root,root) /usr/share/getopt/getopt-parse.tcsh
%attr (755,root,root) /usr/share/getopt/getopt-test.bash
%attr (755,root,root) /usr/share/getopt/getopt-test.tcsh
#/usr/share/locale/*/LC_MESSAGES/util-linux-ng.mo
%ifnarch ia64
%doc fdisk/README.fdisk
/sbin/fdisk
%{_mandir}/man8/fdisk.8.gz
%endif
%ifnarch %sparc ia64
%doc fdisk/README.cfdisk
%{_mandir}/man8/cfdisk.8.gz
%{_mandir}/man8/sfdisk.8.gz
/sbin/cfdisk
/sbin/sfdisk
%endif
%ifarch %ix86 x86_64
/usr/sbin/ramsize
/usr/sbin/rdev
/usr/sbin/rootflags
/usr/sbin/vidmode
%{_mandir}/man8/ramsize.8.gz
%{_mandir}/man8/rdev.8.gz
%{_mandir}/man8/rootflags.8.gz
%{_mandir}/man8/vidmode.8.gz
%endif
%ifnarch s390 s390x
#%config(noreplace) /etc/fdprm
/usr/bin/cytune
/usr/sbin/fdformat
/sbin/hwclock
/usr/sbin/klogconsole
/usr/bin/setterm
/usr/sbin/tunelp
%{_mandir}/man8/cytune.8.gz
%{_mandir}/man8/fdformat.8.gz
%{_mandir}/man8/hwclock.8.gz
%{_mandir}/man8/klogconsole.8.gz
%{_mandir}/man8/tunelp.8.gz
%endif
# setarch links
#%ifarch %ix86 x86_64
#/usr/bin/i386
#%{_mandir}/man8/i386.8.gz
#%endif
#%ifarch x86_64
#/usr/bin/x86_64
#%{_mandir}/man8/x86_64.8.gz
#%endif 
#%ifarch s390 s390x
#/usr/bin/s390
#/usr/bin/s390x
#%{_mandir}/man8/s390.8.gz
#%{_mandir}/man8/s390x.8.gz
#%endif
#%ifarch ppc ppc64
#/usr/bin/ppc
#/usr/bin/ppc32
#/usr/bin/ppc64
#%{_mandir}/man8/ppc.8.gz
#%{_mandir}/man8/ppc32.8.gz
#%{_mandir}/man8/ppc64.8.gz
#%endif
#%ifarch ia64
#/usr/bin/i386
#/usr/bin/ia64
#%{_mandir}/man8/i386.8.gz
#%{_mandir}/man8/ia64.8.gz
#%endif

%files -n libblkid1
%defattr(-, root, root)
/%{_lib}/libblkid.so.1
/%{_lib}/libblkid.so.1.*

%files -n libblkid-devel
%defattr(-, root, root)
%{_libdir}/libblkid.so
%dir %{_includedir}/blkid
%{_includedir}/blkid/blkid.h
%_libdir/pkgconfig/blkid.pc
%{_mandir}/man3/libblkid.3.gz

%files -n uuidd
%defattr(-, root, root)
%verify(not mode) %attr(0755,root,root) /usr/sbin/uuidd
%attr(-,uuidd,uuidd) %dir /var/lib/libuuid
%attr(-,uuidd,uuidd) %dir /var/run/uuidd
/etc/init.d/uuidd
%{_mandir}/man8/uuidd.8.gz

%files -n libuuid1
%defattr(-, root, root)
/%{_lib}/libuuid.so.1
/%{_lib}/libuuid.so.1.*

%files -n libuuid-devel
%defattr(-, root, root)
%{_libdir}/libuuid.so
%dir %{_includedir}/uuid
%{_includedir}/uuid/uuid.h
%_libdir/pkgconfig/uuid.pc
%{_mandir}/man3/uuid*

%changelog
